Vítejte !   Přihlášení | Registrace
Hlavní menu
CATIA fórum.cz
Novinky
Seriál CATIA
Obecně o CAD
Novinky ze světa DS
Makra pro CATIA V5
Diskuse
Vytvořit téma
Koncepty
Seznam oblíbených
Soukromé zprávy
Pravidla
Live CHAT
VIP žádost
Základy Catia
Ke stažení
Doporučujeme
Pracovní příležitosti
Reklama a kampaně
O fóru
Nápověda

Makro v GSD - extract->boundary->extrapol->boudary

Kompletní přehled příspěvků v tématu Makro v GSD - extract->boundary->extrapol->boudary řazený podle data jejich publikace na fóru.

UživatelPříspěvek
Tomáš Jaroš

Poslat zprávu | Profil
Datum: 25.7. 2019 | Zobrazeno: 540x
Konfigurace CATIA: V5

Text dotazu:
Ahoj,
potřeboval bych vytvořit makro, kde se velikost vybrané plochy zmenší o 1 mm a následně vytvoří její obvod, který bude čerchovanou čarou s random barvou. Tj. výběr, extract, boundary, extrapol, boundary a properties.

Dávám kód z Recording, kde vyznačenou část pro výběr plochy nevím, jak napsat, aby byla uživatelem vybratelná obecná plocha. V návodu zde je to u makra Paste as result, ale když tyto dva způsoby kombinuju, tak mi to neschroupe. Kde zde je Set reference1 a potom je v extractu a tam se používá Status.

Děkuji za radu :) TJ


Language="VBSCRIPT"

Sub CATMain()

Set partDocument1 = CATIA.ActiveDocument

Set part1 = partDocument1.Part

Set hybridShapeFactory1 = part1.HybridShapeFactory

Set parameters1 = part1.Parameters

Set hybridShapeSurfaceExplicit1 = parameters1.Item("Part_Geometry")

Set reference1 = part1.CreateReferenceFromBRepName("RSur:(Face:(Brp:(GSMBiDim.9;%534);None:();Cf11:());WithPermanentBody;WithoutBuildError;WithSelectingFeatureSupport;MFBRepVersion_CXR15)", hybridShapeSurfaceExplicit1)

Set hybridShapeExtract1 = hybridShapeFactory1.AddNewExtract(reference1)

hybridShapeExtract1.PropagationType = 3

hybridShapeExtract1.ComplementaryExtract = False

hybridShapeExtract1.IsFederated = False

Set hybridBodies1 = part1.HybridBodies

Set hybridBody1 = hybridBodies1.Item("Part_Geometry_Trimmed_Non_Pierced")

hybridBody1.AppendHybridShape hybridShapeExtract1

part1.InWorkObject = hybridShapeExtract1

part1.Update

End Sub




Ing Jan Cinert

Poslat zprávu | Profil
[#6706] | Publikováno: 26.07. 2019 - 13:03
Dobrý den,

v tomto článku najdete co potřebujete - je tam krásná ukázka výberu obecné plochy a její extract.

http://www.catia-forum.cz/articles/?article_id=7



Uživatel nepřihlášen

Pro zobrazení obsahu stránky / provedení akce (vytvoření nového téma, napsání odpovědi do diskuse apod.) musíte být přihlášeni.